# Uses of Enum
org.globus.gsi.util.KeyUsage

Packages that use KeyUsage
Package
Description
org.globus.gsi.util

## Uses of KeyUsage in org.globus.gsi.util

Methods in org.globus.gsi.util that return KeyUsage
Modifier and Type
Method
Description
`static KeyUsage`
KeyUsage.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KeyUsage[]`
KeyUsage.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.globus.gsi.util that return types with arguments of type KeyUsage
Modifier and Type
Method
Description
`static EnumSet<KeyUsage>`
CertificateUtil.`getKeyUsage(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
`static EnumSet<KeyUsage>`
CertificateUtil.`getKeyUsage(org.bouncycastle.asn1.x509.X509Extension ext)`
Gets a boolean array representing bits of the KeyUsage extension.